Skip to main content
GET
/
api
/
v1
/
brands
/
{brandId}
/
source-domains
/
{sourceId}
/
evolution
Source Domain Evolution
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brandId}/source-domains/{sourceId}/evolution

Documentation Index

Fetch the complete documentation index at: https://docs.qwairy.co/llms.txt

Use this file to discover all available pages before exploring further.

Track how a source’s citation metrics change over time. Returns daily time-series data for mentions and average position.

Path Parameters

brandId
string
required
The unique identifier of the brand
sourceId
string
required
The unique identifier of the source

Query Parameters

period
number
Number of days to include. If not specified, returns all data.
startDate
string
Start date (ISO 8601 format)
endDate
string
End date (ISO 8601 format)
provider
string
Filter by AI provider. Supports comma-separated multi-select (e.g., chatgpt,claude).
topic
string
Filter by topic ID. Supports comma-separated multi-select (e.g., id1,id2).
tag
string
Filter by tag ID. Supports comma-separated multi-select (e.g., id1,id2).

Example Request

curl -X GET "https://www.qwairy.co/api/v1/brands/cm1234567890abcdef/source-domains/src1/evolution?period=7" \
  -H "Authorization: Bearer qw-api-your-token-here"

Example Response

{
  "success": true,
  "source": {
    "id": "src1",
    "domain": "industry-news.com",
    "isSelf": false
  },
  "evolution": [
    {
      "date": "2024-12-01",
      "mentions": 5,
      "avgPosition": 3.1
    },
    {
      "date": "2024-12-02",
      "mentions": 8,
      "avgPosition": 2.9
    }
  ]
}

Error Responses

StatusCodeDescription
401INVALID_TOKENAuthentication failed
404BRAND_NOT_FOUNDBrand doesn’t exist or not accessible
404SOURCE_NOT_FOUNDSource doesn’t exist